Module java.base
Package java.net

## Interface DatagramSocketImplFactory

    public interface DatagramSocketImplFactory

This interface defines a factory for datagram socket implementations. It is used by the classes `DatagramSocket` to create actual socket implementations.

Since:
  1.3
See Also:
  `DatagramSocket`

### Method Summary

All Methods Instance Methods Abstract Methods
`DatagramSocketImpl` `createDatagramSocketImpl()` Creates a new `DatagramSocketImpl` instance.

### Method Detail

#### createDatagramSocketImpl

    DatagramSocketImpl createDatagramSocketImpl()

Creates a new `DatagramSocketImpl` instance.

Returns:
  a new instance of `DatagramSocketImpl`.
See Also:
  `DatagramSocketImpl`